Confirm the payment for a Physical Card Order
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/order/{orderId}/confirm-payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://api.gnosispay.com/api/v1/order/{orderId}/confirm-payment \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/order/{orderId}/confirm-payment"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/order/{orderId}/confirm-payment"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gnosispay.com/api/v1/order/{orderId}/confirm-payment")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/order/{orderId}/confirm-payment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ok": true
}{
"message": "Card Order is not in the correct status"
}{
"message": "<string>"
}{
"message": "Card order not found."
}{
"message": "An unexpected error occurred."
}Physical Card Order
Confirm the payment for a Physical Card Order
This endpoint marks the Card Order with orderId as paid. Even if the card is free, you need to call this endpoint to confirm the payment.
PUT
/
api
/
v1
/
order
/
{orderId}
/
confirm-payment
Confirm the payment for a Physical Card Order
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/order/{orderId}/confirm-payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PUT \
--url https://api.gnosispay.com/api/v1/order/{orderId}/confirm-payment \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/order/{orderId}/confirm-payment"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/order/{orderId}/confirm-payment"
req, _ := http.NewRequest("PUT", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.gnosispay.com/api/v1/order/{orderId}/confirm-payment")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/order/{orderId}/confirm-payment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ok": true
}{
"message": "Card Order is not in the correct status"
}{
"message": "<string>"
}{
"message": "Card order not found."
}{
"message": "An unexpected error occurred."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the card order.
Response
Transaction successfully attached to the card order.
Indicates if the operation was successful.
Example:
true